#### D.11.4.4 exp2pt

Procedure from library `findifs.lib` (see findifs_lib).

Usage:
  exp2pt(P[,L]); P poly, L an optional list of strings

Return:
  string

Purpose:
  convert a polynomial M into the TeX format, in nodal form

Assume:
  coefficients must not be fractional

Note:
  an optional list L contains a string, which will replace the default value 'u' for the discretized function

Example:

    LIB "findifs.lib";
    " EXAMPLE:";
    ==>  EXAMPLE:
    ring r = (0,dh,dt),(Tx,Tt),dp;
    poly M = (4*dh*Tx^2+1)*(Tt-1)^2;
    print(exp2pt(M));
    ==> 4\tri h u^{n+2}_{j+2}+(-8\tri h) u^{n+1}_{j+2}+4\tri h u^{n}_{j+2}+u^{n+2\
       }_{j}+(-2) u^{n+1}_{j}+u^{n}_{j}
    print(exp2pt(M,"F"));
    ==> 4\tri h F^{n+2}_{j+2}+(-8\tri h) F^{n+1}_{j+2}+4\tri h F^{n}_{j+2}+F^{n+2\
       }_{j}+(-2) F^{n+1}_{j}+F^{n}_{j}

User manual for Singular version 4.4.1, 2025, generated by texi2html.